Author Topic: Queries about BRAILS installation  (Read 239 times)

Amir.t

  • Newbie
  • *
  • Posts: 1
    • View Profile
Queries about BRAILS installation
« on: December 17, 2020, 04:54:13 AM »
Dear Developer,

I'm trying to install BRAIL in order to use it in building classification.
Unfortunately, I have encountered the following error (attached to the message).

I'm quite new to python. I have just installed Python3.8 and pip 20.2.1. My operating system is Windows10.
I would be grateful if you could help me.

Thanks in advance,
Amir

charles

  • Newbie
  • *
  • Posts: 12
    • View Profile
Re: Queries about BRAILS installation
« Reply #1 on: January 26, 2021, 05:02:49 PM »
Hi Amir,

Thanks for your question.
This error is caused by two dependencies - Fiona and GDAL, installing them on Windows with pip is problematic.

Base on our email communications, your solution is to switch to conda as your python environment.

I'm putting here another solution, which doesn't need conda.
Instead, we download Fiona and GDAL's wheel files (https://www.lfd.uci.edu/~gohlke/pythonlibs/) and manually install them.


For example, if you are using Python3.8:

1. Go to https://www.lfd.uci.edu/~gohlke/pythonlibs/ and download

GDAL-3.1.4-cp38-cp38-win_amd64.whl and
Fiona-1.8.18-cp38-cp38-win_amd64.whl


here cp38 means python3.8.

2. pip install GDAL-3.1.4-cp38-cp38-win_amd64.whl

3. pip install Fiona-1.8.18-cp38-cp38-win_amd64.whl


Then you'll be able to:
pip install BRAILS

 :)